Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 02 Jun 2020 07:33:30 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have placed my order on April 14 2020, I have not received it yet. My order number is 8377624686

I contacted you thru Facebook on may 5 and you told you’ll check with your courier partner but no reply was given. Then on may 7 I asked again to no avail.

This am very disappointed with centrepoint, you were unable to provide an answer to the very simple question of where is my order that I paid for on April 14, that is 1 and a half month back.

If you were unable to deliver the order you should have informed me and refunded the money back like crocs have done but it seems you are incompetent even for simple tasks. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1122288